> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchserp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Domain Ranking



## OpenAPI

````yaml openapi.json get /api/v1/ranking
openapi: 3.1.0
info:
  title: API Documentation
  summary: 'OasRails: Automatic Interactive API Documentation for Rails'
  description: >+
    # FetchSERP API


    This API provides endpoints for retrieving search engine results, analyzing
    keyword and domain performance, scraping web content, and conducting SEO
    audits. It is designed to help developers access valuable SEO and SERP data
    programmatically.


    ## Authentication


    All API endpoints require Bearer token authentication.



    ## Rate Limiting


    The API has a rate limit of 600 requests per minute per API key. If you
    exceed this limit, you will receive a 429 status code.



    ## Available Resources


    - Get Backlinks : Get backlinks for a given domain

    - Get Domain Emails : Retrieve emails from a given domain

    - Get Domain Info : Get domain info including DNS records, WHOIS data, SSL
    certificates, and technology stack

    - Get Keywords search volume : Get search volume for given keywords

    - Get Keywords suggestions : Get keyword suggestions based on a url or a
    list of keywords

    - Get Long-tail Keywords Generator : Generate long-tail keywords for a given
    keyword

    - Get Page Indexation Check : Check if a domain is indexed for a given
    keyword

    - Get Domain Ranking : Get domain ranking for a given keyword

    - Get Web Page Scraping : Scrape a web page without JS

    - Get Domain Scraping : Scrape a domain

    - Post Web Page Scraping : Scrape a web page with custom JS

    - Post Web Page Scraping with Proxy : Scrape a web page with JS and proxy

    - Get Moz Domain Analysis : Get Moz domain analysis data

    - GET Search engine results : Get search engine results

    - GET Search engine results AI : Get search engine results with AI overview
    and AI mode response

    - GET Search engine results html : Get search engine results html content

    - GET Search engine results JS : Get search engine results with JS rendering

    - GET Search engine results text : Get search engine results text content

    - Get User : Get user information including api credit

    - Get Web Page AI Analysis : Analyze a web page with AI

    - Get SEO Analysis : Get SEO analysis for a given url


    For more information, contact contact@fetchserp.com

  termsOfService: ''
  contact:
    name: Support
    url: https://fetchserp.com
    email: contact@fetchserp.com
  license:
    name: GPL 3.0
    url: https://www.gnu.org/licenses/gpl-3.0.html#license-text
  version: 1.0.0
servers:
  - url: https://www.fetchserp.com
    description: Production
security:
  - bearer: []
tags:
  - name: Users
    description: Manage the `amazing` Users table.
paths:
  /api/v1/ranking:
    get:
      tags:
        - Api
      summary: Domain Ranking
      operationId: index_api_v1_ranking
      parameters:
        - $ref: '#/components/parameters/ee44c750d282ae0fb2fde446b3954fff'
        - $ref: '#/components/parameters/216ab90a4d75eb62387e07777b0f00b5'
        - $ref: '#/components/parameters/3c008e11dc109d8fa2f48877d536e2fe'
        - $ref: '#/components/parameters/9c5679019fc63abf00a7a6b05e6ead59'
        - $ref: '#/components/parameters/815410dc2a3aaf6849ff2b1723f93b7f'
      responses:
        '200':
          $ref: '#/components/responses/209614a5a8076604960b6073996fdeed'
        '401':
          $ref: '#/components/responses/3bbc0c470f6ca90953aa41e19201f27a'
        '403':
          $ref: '#/components/responses/b60da0f809685103285be75545a585da'
        '422':
          $ref: '#/components/responses/2901815d83ff1a1aed63df2b7f2f1a7a'
        '500':
          $ref: '#/components/responses/e2e8b8b8e77f81c8e12002c86985563f'
      security:
        - bearer: []
components:
  parameters:
    ee44c750d282ae0fb2fde446b3954fff:
      name: keyword
      in: query
      description: The keyword to search
      required: true
      schema:
        type: string
      style: form
    216ab90a4d75eb62387e07777b0f00b5:
      name: domain
      in: query
      description: The domain to search
      required: true
      schema:
        type: string
      style: form
    3c008e11dc109d8fa2f48877d536e2fe:
      name: search_engine
      in: query
      description: >-
        The search engine to use. Supported values: google, bing, yahoo and
        duckduckgo. Default to google.
      required: false
      schema:
        type: string
      style: form
    9c5679019fc63abf00a7a6b05e6ead59:
      name: country
      in: query
      description: The country to search from. Default to us.
      required: false
      schema:
        type: string
      style: form
    815410dc2a3aaf6849ff2b1723f93b7f:
      name: pages_number
      in: query
      description: The number of pages to search (1-30). Default to 10.
      required: false
      schema:
        type: integer
      style: form
  responses:
    209614a5a8076604960b6073996fdeed:
      description: success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/d1cf3d9cef79e97be64748f825e207b4'
    3bbc0c470f6ca90953aa41e19201f27a:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    b60da0f809685103285be75545a585da:
      description: >-
        You are not allowed to access this resource. You do not have the
        necessary permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/654dac096abf7f8a11eec3e814989da7'
    2901815d83ff1a1aed63df2b7f2f1a7a:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    e2e8b8b8e77f81c8e12002c86985563f:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/435c07a5c6b7754326b753df2f09dae3'
  schemas:
    d1cf3d9cef79e97be64748f825e207b4:
      type: object
      properties:
        data:
          type: object
          properties:
            keyword:
              type: string
            domain:
              type: string
            search_engine:
              type: string
            country:
              type: string
            results:
              type: array
              items:
                type: object
                properties:
                  url:
                    type: string
                  ranking:
                    type: integer
    ab7f8e96ffb786cb211cda6678d34532:
      type: object
      properties:
        error:
          type: string
    654dac096abf7f8a11eec3e814989da7:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
    435c07a5c6b7754326b753df2f09dae3:
      type: object
      properties:
        status:
          type: integer
        error:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: >-
        A bearer token that will be supplied within an `Authorization` header as
        `bearer <token>`.

````